# IRiLwME Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | ConConvert ([in] BSTR szNodeName,[in] BSTR bszViewPanelID,[in] BSTR szConName,[in] BSTR szInNodeName,[in] BSTR szInConName,[in] RtUlong Action)
## Properties
VARIANT * | ImportBrick ([in] VARIANT vFileName,[in] VARIANT vOwner)`[get]`
BSTR | BuildBrickLibrary`[get]`
int | OpenLWME ([in] BSTR bszOwner,[in] BSTR bszRoot)`[get]`
) | CloseLWME`[get]`

## Detailed Description

The IRiLwME interface provides .
Root-level name in the scripting engine's name space:

## Member Function Documentation

HRESULT IRiLwME::ConConvert | ( | [in] BSTR | szNodeName,
|  | [in] BSTR | bszViewPanelID,
|  | [in] BSTR | szConName,
|  | [in] BSTR | szInNodeName,
|  | [in] BSTR | szInConName,
|  | [in] RtUlong | Action |
| ) |  |  |

Parameters:

  | szNodeName | [in] .
  | bszViewPanelID | [in] .
  | szConName | [in] .
  | szInNodeName | [in] .
  | szInConName | [in] .
  | Action | [in] .

Returns:
  standard HRESULT processing can be applied to returned value

## Property Documentation

VARIANT* IRiLwME::ImportBrick([in] VARIANT vFileName, [in] VARIANT vOwner)`[get]`

Imports shader brick from specified file into specified node and returns it.

Parameters:

  | vFileName | [in] File containing shader brick.
  | vOwnerName | [in] Node name to which shader brick is to be imported.

Returns:
  pVal [out, retval] Node containing imported shader brick.

Example:

        LwMaterialEditor.ImportBrick('c:\\tS7\Scripts\\LwME\\Bricks\\Texturing\\tex2D.HLSL.Brick.xml', 'Project/Space 3D/Head/Material List, 1/Material Chunk, 1');

Note : backslashes must be escaped.

BSTR IRiLwME::BuildBrickLibrary`[get]`

Constructs library of available shader bricks.

Parameters:

  | bsOwnerName | [in] Node which will contain library of shader bricks.

Example:

        LwMaterialEditor.BuildBrickLibrary('Libraries/Context Library/LW Shader Bricks');

Returns:
  standard HRESULT processing can be applied to returned value.

int IRiLwME::OpenLWME([in] BSTR bszOwner, [in] BSTR bszRoot)`[get]`

Controls LW material editor.

Parameters:

  | bszOwner | [in] Windows manager node name.
  | bszRoot | [in] Root node of material editor view.
  | bAct | [in] Specifies action for the material editor view. Following values are available. 0: do nothing 1: show material editor 2: hide material editor 3: destroy material editor view 4: update (e.g. after inspect tool 5: apply current material to object 6: inspect material from object

Example:

        LwMaterialEditor.OpenLWME('Project/Windows Manager Space','Project/Space 3D/Rhino, 1/Material', 1);

Returns:
  standard HRESULT processing can be applied to returned value

) IRiLwME::CloseLWME`[get]`

Closes material editor.

Returns:
  standard HRESULT processing can be applied to returned value.

Example:

        LwMaterialEditor.CloseLWME();